View Issue Details

IDProjectCategoryView StatusLast Update
0014860LazarusIDEpublic2011-12-01 11:22
ReporterdelorepierreAssigned ToVincent Snijders 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.1 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014860: In the "procedure list" dialog "<None>" is selected by default
DescriptionWith the French language selected in the ide when I open the "Procedure list" dialog the "Objects" combobox display "<None>" by default.

The problem come from the translation.
<All> => <Tout> (in french)
<None> => <Aucun> (in french)

The combobox is sorted so in english you have <All> and after <None>. In french you have <Aucun> and after <Tout>.

I solved the problem by adding a 0 before "Tout" (<0Tout>) and 1 before "Aucun" (<1Aucun>).
TagsNo tags attached.
Fixed in Revision22674
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0014923 closedVincent Snijders Patches Patch to fixe Procedure List for non-English languages 

Activities

Vincent Snijders

2009-10-20 23:08

manager   ~0031547

IIRC, somebody posted a patch on the Lazarus mailing list to fix this issue.

Graeme Geldenhuys

2009-10-29 09:08

reporter   ~0031783

Consensus has been reached as to what is the correct fix. The final patch is available in report 0014923

Issue History

Date Modified Username Field Change
2009-10-20 23:02 delorepierre New Issue
2009-10-20 23:02 delorepierre Widgetset => Win32/Win64
2009-10-20 23:08 Vincent Snijders LazTarget => 1.0
2009-10-20 23:08 Vincent Snijders Note Added: 0031547
2009-10-20 23:08 Vincent Snijders Status new => acknowledged
2009-10-20 23:08 Vincent Snijders Target Version => 1.0.0
2009-10-28 09:08 Vincent Snijders Relationship added related to 0014923
2009-10-29 09:08 Graeme Geldenhuys Note Added: 0031783
2009-11-18 21:42 Vincent Snijders Fixed in Revision => 22674
2009-11-18 21:42 Vincent Snijders Status acknowledged => resolved
2009-11-18 21:42 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-11-18 21:42 Vincent Snijders Resolution open => fixed
2009-11-18 21:42 Vincent Snijders Assigned To => Vincent Snijders
2011-12-01 11:22 Marc Weustink Status resolved => closed